curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/export/employees/matching_vacancies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"filter": "max_geo_distance",
"max_geo_distance": 50
},
{
"filter": "multi_max_geo_distances",
"multi_max_geo_distances": [
{
"max_geo_distance": 20,
"location": {
"lat": 51.34,
"lng": 3.15
}
},
{
"max_geo_distance": 20,
"location": {
"country": "BE",
"postal_code": 9000
}
}
]
},
{
"filter": "language",
"max_overqualification": 2,
"max_underqualification": 1
},
{
"filter": "last_updated",
"value": "2022-01-01",
"operator": "lt"
},
{
"filter": "custom_property_equal",
"from_entity_property": "desired_wage",
"to_entity_property": "wage"
},
{
"filter": "custom_property",
"property_name": "direct_manager",
"property_value": "John Doe"
},
{
"filter": "custom_property_is_in",
"from_entity_property": "required_drivers_license",
"to_entity_property": "drivers_licenses"
},
{
"filter": "custom_property_is_in_list",
"property_name": "drivers_license",
"possible_values": [
"C",
"CE"
]
},
{
"filter": "custom_property_contains",
"from_entity_property": "shift_regime_codes",
"to_entity_property": "desired_regime"
},
{
"filter": "custom_property_list_overlap",
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
},
{
"filter": "custom_property_contains_element",
"property_name": "industries",
"property_value": "electronics"
},
{
"filter": "external_id_is_in_list",
"external_ids": [
"c350500-eb84-42dc-a79f-5e7b1fe897b7",
"b450500-eb84-42dc-a79f-5e7b1fe897c8"
]
},
{
"filter": "low_data_availability",
"exclude_low_data_availability": true
}
],
"weights": [
{
"weight": "skills_match",
"value": 1
},
{
"weight": "desired_functions",
"value": 0.03
},
{
"weight": "geo_distance",
"value": 0.1,
"full_score_distance": 5,
"zero_score_distance": 50
},
{
"weight": "language",
"value": 0.1,
"max_overqualification": 2,
"max_underqualification": 3
},
{
"weight": "custom_property",
"value": 0.04,
"property_name": "yearly_salary",
"operator": "gte",
"property_value": 45000
},
{
"weight": "custom_property_is_in",
"value": 0.06,
"from_entity_property": "desired_work_regime",
"to_entity_property": "offered_work_regimes"
},
{
"weight": "custom_property_is_in_list",
"value": 0.05,
"property_name": "region",
"possible_values": [
"Flanders",
"Wallonia"
]
},
{
"weight": "custom_property_contains",
"value": 0.07,
"from_entity_property": "sectors",
"to_entity_property": "desired_sector"
},
{
"weight": "custom_property_contains_element",
"value": 0.04,
"property_name": "industries",
"property_value": [
"Electronics",
"Aviation"
]
},
{
"weight": "custom_property_list_overlap",
"value": 0.04,
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
}
],
"limit": 10,
"match_limit_per_entity": 10,
"score_min_threshold": 0.7,
"starting_after": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/export/employees/matching_vacancies"
payload = {
"filters": [
{
"filter": "max_geo_distance",
"max_geo_distance": 50
},
{
"filter": "multi_max_geo_distances",
"multi_max_geo_distances": [
{
"max_geo_distance": 20,
"location": {
"lat": 51.34,
"lng": 3.15
}
},
{
"max_geo_distance": 20,
"location": {
"country": "BE",
"postal_code": 9000
}
}
]
},
{
"filter": "language",
"max_overqualification": 2,
"max_underqualification": 1
},
{
"filter": "last_updated",
"value": "2022-01-01",
"operator": "lt"
},
{
"filter": "custom_property_equal",
"from_entity_property": "desired_wage",
"to_entity_property": "wage"
},
{
"filter": "custom_property",
"property_name": "direct_manager",
"property_value": "John Doe"
},
{
"filter": "custom_property_is_in",
"from_entity_property": "required_drivers_license",
"to_entity_property": "drivers_licenses"
},
{
"filter": "custom_property_is_in_list",
"property_name": "drivers_license",
"possible_values": ["C", "CE"]
},
{
"filter": "custom_property_contains",
"from_entity_property": "shift_regime_codes",
"to_entity_property": "desired_regime"
},
{
"filter": "custom_property_list_overlap",
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
},
{
"filter": "custom_property_contains_element",
"property_name": "industries",
"property_value": "electronics"
},
{
"filter": "external_id_is_in_list",
"external_ids": ["c350500-eb84-42dc-a79f-5e7b1fe897b7", "b450500-eb84-42dc-a79f-5e7b1fe897c8"]
},
{
"filter": "low_data_availability",
"exclude_low_data_availability": True
}
],
"weights": [
{
"weight": "skills_match",
"value": 1
},
{
"weight": "desired_functions",
"value": 0.03
},
{
"weight": "geo_distance",
"value": 0.1,
"full_score_distance": 5,
"zero_score_distance": 50
},
{
"weight": "language",
"value": 0.1,
"max_overqualification": 2,
"max_underqualification": 3
},
{
"weight": "custom_property",
"value": 0.04,
"property_name": "yearly_salary",
"operator": "gte",
"property_value": 45000
},
{
"weight": "custom_property_is_in",
"value": 0.06,
"from_entity_property": "desired_work_regime",
"to_entity_property": "offered_work_regimes"
},
{
"weight": "custom_property_is_in_list",
"value": 0.05,
"property_name": "region",
"possible_values": ["Flanders", "Wallonia"]
},
{
"weight": "custom_property_contains",
"value": 0.07,
"from_entity_property": "sectors",
"to_entity_property": "desired_sector"
},
{
"weight": "custom_property_contains_element",
"value": 0.04,
"property_name": "industries",
"property_value": ["Electronics", "Aviation"]
},
{
"weight": "custom_property_list_overlap",
"value": 0.04,
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
}
],
"limit": 10,
"match_limit_per_entity": 10,
"score_min_threshold": 0.7,
"starting_after": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [
{filter: 'max_geo_distance', max_geo_distance: 50},
{
filter: 'multi_max_geo_distances',
multi_max_geo_distances: [
{max_geo_distance: 20, location: {lat: 51.34, lng: 3.15}},
{max_geo_distance: 20, location: {country: 'BE', postal_code: 9000}}
]
},
{filter: 'language', max_overqualification: 2, max_underqualification: 1},
{filter: 'last_updated', value: '2022-01-01', operator: 'lt'},
{
filter: 'custom_property_equal',
from_entity_property: 'desired_wage',
to_entity_property: 'wage'
},
{
filter: 'custom_property',
property_name: 'direct_manager',
property_value: 'John Doe'
},
{
filter: 'custom_property_is_in',
from_entity_property: 'required_drivers_license',
to_entity_property: 'drivers_licenses'
},
{
filter: 'custom_property_is_in_list',
property_name: 'drivers_license',
possible_values: ['C', 'CE']
},
{
filter: 'custom_property_contains',
from_entity_property: 'shift_regime_codes',
to_entity_property: 'desired_regime'
},
{
filter: 'custom_property_list_overlap',
from_entity_property: 'desired_industries',
to_entity_property: 'industries'
},
{
filter: 'custom_property_contains_element',
property_name: 'industries',
property_value: 'electronics'
},
{
filter: 'external_id_is_in_list',
external_ids: ['c350500-eb84-42dc-a79f-5e7b1fe897b7', 'b450500-eb84-42dc-a79f-5e7b1fe897c8']
},
{filter: 'low_data_availability', exclude_low_data_availability: true}
],
weights: [
{weight: 'skills_match', value: 1},
{weight: 'desired_functions', value: 0.03},
{
weight: 'geo_distance',
value: 0.1,
full_score_distance: 5,
zero_score_distance: 50
},
{
weight: 'language',
value: 0.1,
max_overqualification: 2,
max_underqualification: 3
},
{
weight: 'custom_property',
value: 0.04,
property_name: 'yearly_salary',
operator: 'gte',
property_value: 45000
},
{
weight: 'custom_property_is_in',
value: 0.06,
from_entity_property: 'desired_work_regime',
to_entity_property: 'offered_work_regimes'
},
{
weight: 'custom_property_is_in_list',
value: 0.05,
property_name: 'region',
possible_values: ['Flanders', 'Wallonia']
},
{
weight: 'custom_property_contains',
value: 0.07,
from_entity_property: 'sectors',
to_entity_property: 'desired_sector'
},
{
weight: 'custom_property_contains_element',
value: 0.04,
property_name: 'industries',
property_value: ['Electronics', 'Aviation']
},
{
weight: 'custom_property_list_overlap',
value: 0.04,
from_entity_property: 'desired_industries',
to_entity_property: 'industries'
}
],
limit: 10,
match_limit_per_entity: 10,
score_min_threshold: 0.7,
starting_after: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7'
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/export/employees/matching_vacancies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_next": true,
"next_starting_after": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"records": [
{
"employee_id": "employee_1_id",
"matches": [
{
"vacancy_id": "vacancy_1_id",
"score": 0.87657
},
{
"vacancy_id": "vacancy_2_id",
"score": 0.82341
}
]
}
]
}Export top matching Vacancies for Employees.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
If set to explained, the response will include an explanation of the match.
simple, explained "explained"
The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.
techwolf, workday, sap_attribute_library "workday"
The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.
Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.
en, en_uk, en_us, de, fr, nl, es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no Body
List of weights to be applied during matching
- max_geo_distance
- multi_max_geo_distances
- language
- last_updated
- custom_property_equal
- custom_property
- custom_property_is_in
- custom_property_is_in_list
- custom_property_contains
- custom_property_contains_element
- custom_property_list_overlap
- external_id_is_in_list
- exclude_match_feedback
- low_data_availability
Show child attributes
Show child attributes
[
{
"filter": "max_geo_distance",
"max_geo_distance": 50
},
{
"filter": "multi_max_geo_distances",
"multi_max_geo_distances": [
{
"max_geo_distance": 20,
"location": { "lat": 51.34, "lng": 3.15 }
},
{
"max_geo_distance": 20,
"location": { "country": "BE", "postal_code": 9000 }
}
]
},
{
"filter": "language",
"max_overqualification": 2,
"max_underqualification": 1
},
{
"filter": "last_updated",
"value": "2022-01-01",
"operator": "lt"
},
{
"filter": "custom_property_equal",
"from_entity_property": "desired_wage",
"to_entity_property": "wage"
},
{
"filter": "custom_property",
"property_name": "direct_manager",
"property_value": "John Doe"
},
{
"filter": "custom_property_is_in",
"from_entity_property": "required_drivers_license",
"to_entity_property": "drivers_licenses"
},
{
"filter": "custom_property_is_in_list",
"property_name": "drivers_license",
"possible_values": ["C", "CE"]
},
{
"filter": "custom_property_contains",
"from_entity_property": "shift_regime_codes",
"to_entity_property": "desired_regime"
},
{
"filter": "custom_property_list_overlap",
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
},
{
"filter": "custom_property_contains_element",
"property_name": "industries",
"property_value": "electronics"
},
{
"filter": "external_id_is_in_list",
"external_ids": [
"c350500-eb84-42dc-a79f-5e7b1fe897b7",
"b450500-eb84-42dc-a79f-5e7b1fe897c8"
]
},
{
"filter": "low_data_availability",
"exclude_low_data_availability": true
}
]
- skills_match
- desired_functions
- geo_distance
- language
- custom_property
- custom_property_is_in
- custom_property_is_in_list
- custom_property_contains
- custom_property_contains_element
- custom_property_list_overlap
Show child attributes
Show child attributes
[
{ "weight": "skills_match", "value": 1 },
{
"weight": "desired_functions",
"value": 0.03
},
{
"weight": "geo_distance",
"value": 0.1,
"full_score_distance": 5,
"zero_score_distance": 50
},
{
"weight": "language",
"value": 0.1,
"max_overqualification": 2,
"max_underqualification": 3
},
{
"weight": "custom_property",
"value": 0.04,
"property_name": "yearly_salary",
"operator": "gte",
"property_value": 45000
},
{
"weight": "custom_property_is_in",
"value": 0.06,
"from_entity_property": "desired_work_regime",
"to_entity_property": "offered_work_regimes"
},
{
"weight": "custom_property_is_in_list",
"value": 0.05,
"property_name": "region",
"possible_values": ["Flanders", "Wallonia"]
},
{
"weight": "custom_property_contains",
"value": 0.07,
"from_entity_property": "sectors",
"to_entity_property": "desired_sector"
},
{
"weight": "custom_property_contains_element",
"value": 0.04,
"property_name": "industries",
"property_value": ["Electronics", "Aviation"]
},
{
"weight": "custom_property_list_overlap",
"value": 0.04,
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
}
]
The maximum number of entities to calculate matches for. This controls how many source entities will be processed for matching calculations.
1 <= x <= 5010
The maximum number of matches to return per entity. This controls how many of the best matching results are returned for each source entity.
1 <= x <= 10010
The minimum threshold score to apply to match results. All matches with scores below this threshold will not be returned. Due to approximations for fast result-delivery, there might be records with a score slightly lower than the minimum.
0 <= x <= 10.7
The UUID of the entity to start pagination after. This is used for cursor-based pagination to retrieve the next page of results. Leave empty or null to start from the beginning.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Response
OK
- Simple
- Explained
List of match results.
Show child attributes
Show child attributes
True when there is more data after this page.
true
The next starting_after value for pagination.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Was this page helpful?